For the complete documentation index, see llms.txt. This page is also available as Markdown.

Events

Scheduled activities including classes, clinics, leagues, and recurring programs.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
idstringRequired
typestring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
Responses
200

Returns an Unlock

application/json
idstringRequired
typestring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
post/events/{eventId}/accesses
POST /apis/v2/events/{eventId}/accesses HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}
{
  "id": "text",
  "type": "OPEN",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a Reservation

application/json
typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
reasonstring · enum · nullableRead-onlyOptionalPossible values:
reasonTextstring · nullableOptional

Optional free-text reason when reason is OTHER. Max 40 characters.

get/events/{eventId}/cancellation
GET /apis/v2/events/{eventId}/cancellation HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Reservation

{
  "type": "PREVIEW",
  "status": "DRAFT",
  "reason": "WEATHER",
  "reasonText": "text",
  "summary": {
    "policy": "FREE_OF_CHARGE",
    "policySubtype": {},
    "policyDescription": {},
    "extensionId": {},
    "cancellingUser": {
      "id": "text",
      "user": {
        "id": "text"
      },
      "type": "REGULAR",
      "firstName": "text",
      "lastName": "text",
      "gender": "text",
      "birthday": "2026-01-01T00:00:00.000Z",
      "initials": "text",
      "description": "text",
      "picture": {},
      "usattRating": 1,
      "duprProfileUrl": "text",
      "memberSince": "2026-01-01T00:00:00.000Z",
      "membershipEnrollment": {},
      "kids": {},
      "_links": {}
    },
    "cancellationTime": "2026-01-01T00:00:00.000Z",
    "validUntilTime": "2026-01-01T00:00:00.000Z",
    "cancellationFee": 1,
    "refund": {
      "reimbursement": 1,
      "virtualCredits": 1,
      "passes": {
        "items": [
          {
            "id": {},
            "available": 1,
            "quantity": 1,
            "displayName": "text",
            "displayNamePlural": "text",
            "rate": 1
          }
        ],
        "_total": 1,
        "_links": {}
      }
    },
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ]
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
reasonstring · enum · nullableRead-onlyOptionalPossible values:
reasonTextstring · nullableOptional

Optional free-text reason when reason is OTHER. Max 40 characters.

Responses
200

Returns an EventCancellation

application/json
typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
reasonstring · enum · nullableRead-onlyOptionalPossible values:
reasonTextstring · nullableOptional

Optional free-text reason when reason is OTHER. Max 40 characters.

post/events/{eventId}/cancellation
POST /apis/v2/events/{eventId}/cancellation HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "type": "PREVIEW",
  "reasonText": "text"
}
{
  "type": "PREVIEW",
  "status": "DRAFT",
  "reason": "WEATHER",
  "reasonText": "text",
  "summary": {
    "policy": "FREE_OF_CHARGE",
    "policySubtype": {},
    "policyDescription": {},
    "extensionId": {},
    "cancellingUser": {
      "id": "text",
      "user": {
        "id": "text"
      },
      "type": "REGULAR",
      "firstName": "text",
      "lastName": "text",
      "gender": "text",
      "birthday": "2026-01-01T00:00:00.000Z",
      "initials": "text",
      "description": "text",
      "picture": {},
      "usattRating": 1,
      "duprProfileUrl": "text",
      "memberSince": "2026-01-01T00:00:00.000Z",
      "membershipEnrollment": {},
      "kids": {},
      "_links": {}
    },
    "cancellationTime": "2026-01-01T00:00:00.000Z",
    "validUntilTime": "2026-01-01T00:00:00.000Z",
    "cancellationFee": 1,
    "refund": {
      "reimbursement": 1,
      "virtualCredits": 1,
      "passes": {
        "items": [
          {
            "id": {},
            "available": 1,
            "quantity": 1,
            "displayName": "text",
            "displayNamePlural": "text",
            "rate": 1
          }
        ],
        "_total": 1,
        "_links": {}
      }
    },
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ]
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]Optional
Responses
200

Returns a EventNoteCollection

application/json
_totalnumberRequired
get/events/{eventId}/notes
GET /apis/v2/events/{eventId}/notes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventNoteCollection

{
  "items": [
    {
      "id": "text",
      "comment": "text"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
noteIdstringRequiredExample: security-note
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]Optional
Responses
200

Returns a EventNote

application/json
idstringRequired
commentstringRequired
get/events/{eventId}/notes/{noteId}
GET /apis/v2/events/{eventId}/notes/{noteId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventNote

{
  "id": "text",
  "comment": "text"
}
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
noteIdstringRequiredExample: security-note
Query parameters
expandstring[]Optional
Body
idstringRequired
commentstringRequired
Responses
200

Returns a EventNote

application/json
idstringRequired
commentstringRequired
put/events/{eventId}/notes/{noteId}
PUT /apis/v2/events/{eventId}/notes/{noteId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "id": "text",
  "comment": "text"
}
200

Returns a EventNote

{
  "id": "text",
  "comment": "text"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
openInvitationIdstringRequired
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns an OpenInvitation

application/json
idstringRead-onlyRequired
visibilitystring · enumRequiredPossible values:
chargeTypestring · enum · nullableRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
sharingKeystringRead-onlyRequired
redeemUrlstringRead-onlyRequired
maxRedeemsnumber · nullableRead-onlyRequired

The number of times the invitation can be redeemed. Includes the owner's redemption.

redeemsRemainingnumberRead-onlyRequired
onBehalfOfEventOwnerbooleanWrite-onlyRequired
_linksobjectRead-onlyRequired
get/events/{eventId}/open-invitations/{openInvitationId}
GET /apis/v2/events/{eventId}/open-invitations/{openInvitationId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "owner": {
    "id": "text"
  },
  "visibility": "LISTED",
  "chargeType": "FREE",
  "type": "SHARE",
  "sharingKey": "text",
  "redeemUrl": "text",
  "maxRedeems": 1,
  "redeemsRemaining": 1,
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
includeCanceledbooleanOptional

Include canceled open invitations.

Example: false
Responses
200

Returns an OpenInvitation

application/json
idstringRead-onlyRequired
visibilitystring · enumRequiredPossible values:
chargeTypestring · enum · nullableRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
sharingKeystringRead-onlyRequired
redeemUrlstringRead-onlyRequired
maxRedeemsnumber · nullableRead-onlyRequired

The number of times the invitation can be redeemed. Includes the owner's redemption.

redeemsRemainingnumberRead-onlyRequired
onBehalfOfEventOwnerbooleanWrite-onlyRequired
_linksobjectRead-onlyRequired
get/events/{eventId}/open-invitations
GET /apis/v2/events/{eventId}/open-invitations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "owner": {
    "id": "text"
  },
  "visibility": "LISTED",
  "chargeType": "FREE",
  "type": "SHARE",
  "sharingKey": "text",
  "redeemUrl": "text",
  "maxRedeems": 1,
  "redeemsRemaining": 1,
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
idstringRead-onlyRequired
visibilitystring · enumRequiredPossible values:
chargeTypestring · enum · nullableRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
sharingKeystringRead-onlyRequired
redeemUrlstringRead-onlyRequired
maxRedeemsnumber · nullableRead-onlyRequired

The number of times the invitation can be redeemed. Includes the owner's redemption.

redeemsRemainingnumberRead-onlyRequired
onBehalfOfEventOwnerbooleanWrite-onlyRequired
_linksobjectRead-onlyRequired
Responses
200

Returns an OpenInvitation

application/json
idstringRead-onlyRequired
visibilitystring · enumRequiredPossible values:
chargeTypestring · enum · nullableRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
sharingKeystringRead-onlyRequired
redeemUrlstringRead-onlyRequired
maxRedeemsnumber · nullableRead-onlyRequired

The number of times the invitation can be redeemed. Includes the owner's redemption.

redeemsRemainingnumberRead-onlyRequired
onBehalfOfEventOwnerbooleanWrite-onlyRequired
_linksobjectRead-onlyRequired
post/events/{eventId}/open-invitations
POST /apis/v2/events/{eventId}/open-invitations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "visibility": "LISTED",
  "chargeType": "FREE",
  "type": "SHARE",
  "onBehalfOfEventOwner": true
}
{
  "id": "text",
  "owner": {
    "id": "text"
  },
  "visibility": "LISTED",
  "chargeType": "FREE",
  "type": "SHARE",
  "sharingKey": "text",
  "redeemUrl": "text",
  "maxRedeems": 1,
  "redeemsRemaining": 1,
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
openInvitationIdstringRequired
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
idstringRead-onlyRequired
recipientEmailstringRequired
Responses
200

Returns an OpenInvitationEmail

application/json
idstringRead-onlyRequired
recipientEmailstringRequired
post/events/{eventId}/open-invitations/{openInvitationId}/emails
POST /apis/v2/events/{eventId}/open-invitations/{openInvitationId}/emails HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "recipientEmail": "text"
}
{
  "id": "text",
  "recipientEmail": "text",
  "openInvitation": {
    "id": "text"
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
openInvitationIdstringRequired
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
idstringRead-onlyRequired
recipientPhoneNumberstringRequired
Responses
200

Returns an OpenInvitationSMS

application/json
idstringRead-onlyRequired
recipientPhoneNumberstringRequired
post/events/{eventId}/open-invitations/{openInvitationId}/smses
POST /apis/v2/events/{eventId}/open-invitations/{openInvitationId}/smses HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "recipientPhoneNumber": "text"
}
{
  "id": "text",
  "recipientPhoneNumber": "text",
  "openInvitation": {
    "id": "text"
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
bookingTotalnumberRead-onlyRequired
eventRevenuenumberRead-onlyRequired

Pre-tax revenue (base for percentage coach calculations)

taxesTotalnumberRead-onlyRequired

Total taxes collected

signupsTotalnumberRead-onlyRequired
coachingTotalnumberRead-onlyRequired
virtualCreditsTotalnumberRead-onlyRequired
totalnumberRead-onlyRequired
currencystringRead-onlyRequired
_linksobjectRequired
Responses
201

Returns a EventSettlement

application/json
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
bookingTotalnumberRead-onlyRequired
eventRevenuenumberRead-onlyRequired

Pre-tax revenue (base for percentage coach calculations)

taxesTotalnumberRead-onlyRequired

Total taxes collected

signupsTotalnumberRead-onlyRequired
coachingTotalnumberRead-onlyRequired
virtualCreditsTotalnumberRead-onlyRequired
totalnumberRead-onlyRequired
currencystringRead-onlyRequired
_linksobjectRequired
post/events/{eventId}/settlement
POST /apis/v2/events/{eventId}/settlement HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "type": "PREVIEW",
  "status": "PENDING",
  "_links": {}
}
201

Returns a EventSettlement

{
  "type": "PREVIEW",
  "status": "PENDING",
  "bookingTotal": 1,
  "eventRevenue": 1,
  "taxesTotal": 1,
  "signupsTotal": 1,
  "coachingTotal": 1,
  "virtualCreditsTotal": 1,
  "total": 1,
  "currency": "text",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "details": [
    {
      "items": [
        {
          "user": {
            "id": "text",
            "user": {
              "id": "text"
            },
            "type": "REGULAR",
            "firstName": "text",
            "lastName": "text",
            "gender": "text",
            "birthday": "2026-01-01T00:00:00.000Z",
            "initials": "text",
            "description": "text",
            "picture": {},
            "usattRating": 1,
            "duprProfileUrl": "text",
            "memberSince": "2026-01-01T00:00:00.000Z",
            "membershipEnrollment": {},
            "kids": {},
            "_links": {}
          },
          "total": 1,
          "virtualCredits": 1,
          "_links": {}
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "coachingDetails": {
    "items": [
      {
        "coach": {
          "id": "text",
          "user": {
            "id": "text"
          },
          "type": "REGULAR",
          "firstName": "text",
          "lastName": "text",
          "gender": "text",
          "birthday": "2026-01-01T00:00:00.000Z",
          "initials": "text",
          "description": "text",
          "picture": {},
          "usattRating": 1,
          "duprProfileUrl": "text",
          "memberSince": "2026-01-01T00:00:00.000Z",
          "membershipEnrollment": {},
          "kids": {},
          "_links": {}
        },
        "rateType": "FIXED",
        "rate": 1,
        "amount": 1,
        "order": {
          "id": "text"
        }
      }
    ],
    "_total": 1
  },
  "messages": [
    {
      "code": "text",
      "message": "text"
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a PaymentCollection

application/json
_totalnumberRequired
get/events/{eventId}/payments
GET /apis/v2/events/{eventId}/payments HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PaymentCollection

[
  {
    "items": [
      {
        "id": "text",
        "type": "CASH",
        "stripe": {
          "id": "text",
          "paymentId": "text",
          "failureCode": "text",
          "failureMessage": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "amount": 1,
          "description": "text",
          "statementDescriptor": "text",
          "status": "text",
          "outcome": {
            "status": "text",
            "networkStatus": "text",
            "reason": "text",
            "riskLevel": "text",
            "sellerMessage": "text",
            "type": "text"
          },
          "card": {
            "id": "text",
            "status": "text",
            "stripe": {
              "paymentMethodId": "text"
            },
            "brand": "text",
            "numberPreview": "text",
            "expirationMonth": 1,
            "expirationYear": 1,
            "funding": "text",
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "bankAccount": {
            "id": "text",
            "bankName": "text",
            "accountHolderType": "text",
            "last4": "text"
          },
          "paymentElement": {
            "id": "text"
          },
          "_links": {}
        },
        "currency": "text",
        "authorizedAmount": 1,
        "capturedAmount": 1,
        "refundAmount": 1,
        "refundVirtualCredits": 1,
        "status": "CAPTURED",
        "createdDate": "2026-01-01T00:00:00.000Z",
        "captureDate": "2026-01-01T00:00:00.000Z",
        "user": {
          "id": "text"
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
]
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a EventStats

application/json
idstringRequired
_linksobjectRequired
get/events/{eventId}/stats
GET /apis/v2/events/{eventId}/stats HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventStats

{
  "id": "text",
  "tags": [
    "FIRST_USER_BOOKED_EVENT"
  ],
  "revenue": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a EventStatsRevenue

application/json
couponCodestring · nullableRequired
_linksobjectRequired
get/events/{eventId}/stats/revenue
GET /apis/v2/events/{eventId}/stats/revenue HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventStatsRevenue

{
  "couponCode": "text",
  "bookingProceeds": {
    "subtotal": 1,
    "virtualCredits": 1,
    "cash": 1,
    "discount": 1,
    "total": 1
  },
  "eventSignupProceeds": {
    "subtotal": 1,
    "virtualCredits": 1,
    "cash": 1,
    "discount": 1,
    "total": 1
  },
  "purchasesProceeds": {
    "subtotal": 1,
    "virtualCredits": 1,
    "cash": 1,
    "discount": 1,
    "total": 1
  },
  "totalProceeds": {
    "subtotal": 1,
    "virtualCredits": 1,
    "cash": 1,
    "discount": 1,
    "total": 1
  },
  "orderItems": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a OrderItemCollection

application/json
_totalnumberRequired
get/events/{eventId}/stats/revenue/items
GET /apis/v2/events/{eventId}/stats/revenue/items HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a OrderItemCollection

[
  {
    "items": [
      {
        "id": "text",
        "type": "BOOKING",
        "name": "text",
        "description": "text",
        "quantity": 1,
        "price": 1,
        "subtotal": 1,
        "tax": 1,
        "fee": 1,
        "discount": 1,
        "virtualCredits": 1,
        "total": 1,
        "productOffering": {
          "id": "text"
        },
        "posProductOffering": {
          "id": "text"
        },
        "product": {
          "id": "text"
        },
        "event": {
          "id": "text"
        },
        "replay": {
          "id": "text"
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
]
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Responses
200

Returns a EventReplayCollection

application/json
_totalnumberRequired
get/events/{eventId}/replays
GET /apis/v2/events/{eventId}/replays HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventReplayCollection

{
  "items": [
    {
      "id": "text",
      "type": "QUICK_REPLAY",
      "actionType": "PREVIEW",
      "chargeStrategy": "CHARGE_CUSTOMER_FULL",
      "status": "ORDERED",
      "table": {
        "id": "text"
      },
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "lengthMilliseconds": 1,
      "video": {
        "low": {
          "href": "text"
        },
        "medium": {
          "href": "text"
        },
        "high": {
          "href": "text"
        },
        "web": {
          "href": "text"
        },
        "hls": {
          "href": "text"
        }
      },
      "preview": {
        "id": "text",
        "small": {
          "href": "text"
        },
        "medium": {
          "href": "text"
        },
        "large": {
          "href": "text"
        },
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "likes": {},
      "enhancedVideoUrl": "text",
      "flags": [
        "AUTO_ENHANCE"
      ],
      "summary": {
        "currency": "text",
        "subtotal": 1,
        "taxes": [
          {
            "name": "text",
            "amount": 1,
            "percentage": 1
          }
        ],
        "total": 1,
        "chargeOptions": [
          {
            "id": "CHARGE_CUSTOMER_FULL",
            "label": "text",
            "pricing": {
              "subtotal": 1,
              "taxes": [
                {
                  "name": "text",
                  "amount": 1,
                  "percentage": 1
                }
              ],
              "total": 1
            }
          }
        ],
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "messages": [
          {
            "code": "text",
            "message": "text"
          }
        ]
      },
      "user": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Body
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
Responses
201

Returns a EventReplay

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
post/events/{eventId}/replays
POST /apis/v2/events/{eventId}/replays HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 233

{
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "paymentMode": "PAID",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "billingUser": {
    "id": "text"
  },
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
201

Returns a EventReplay

{
  "id": "text",
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "status": "ORDERED",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "lengthMilliseconds": 1,
  "video": {
    "low": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "high": {
      "href": "text"
    },
    "web": {
      "href": "text"
    },
    "hls": {
      "href": "text"
    }
  },
  "preview": {
    "id": "text",
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "likes": {},
  "enhancedVideoUrl": "text",
  "flags": [
    "AUTO_ENHANCE"
  ],
  "summary": {
    "currency": "text",
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "total": 1,
    "chargeOptions": [
      {
        "id": "CHARGE_CUSTOMER_FULL",
        "label": "text",
        "pricing": {
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "total": 1
        }
      }
    ],
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Responses
200

Returns a EventReplay

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
get/events/{eventId}/replays/{replayId}
GET /apis/v2/events/{eventId}/replays/{replayId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventReplay

{
  "id": "text",
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "status": "ORDERED",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "lengthMilliseconds": 1,
  "video": {
    "low": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "high": {
      "href": "text"
    },
    "web": {
      "href": "text"
    },
    "hls": {
      "href": "text"
    }
  },
  "preview": {
    "id": "text",
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "likes": {},
  "enhancedVideoUrl": "text",
  "flags": [
    "AUTO_ENHANCE"
  ],
  "summary": {
    "currency": "text",
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "total": 1,
    "chargeOptions": [
      {
        "id": "CHARGE_CUSTOMER_FULL",
        "label": "text",
        "pricing": {
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "total": 1
        }
      }
    ],
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Responses
200

Returns a EventReplay

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
actionTypestring · enumOptional

Action type: PREVIEW to simulate order, ORDER to create

Possible values:
paymentModestring · enumWrite-onlyOptional

Payment mode: PAID (default) or FREE_OF_CHARGE. FREE_OF_CHARGE is only available for admins/managers/staff from the dashboard.

Possible values:
chargeStrategystring · enumOptional

Charge strategy for enhanced replays (admin only). Determines how costs are split between customer and club.

Possible values:
statusstring · enumRead-onlyRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
lengthMillisecondsnumberRead-onlyRequired
likesobjectRead-onlyRequired
enhancedVideoUrlstringRead-onlyRequired

URL to the AI-enhanced analysis page

flagsstring[]Read-onlyRequired

Feature flags for this replay (e.g. "AUTO_ENHANCE")

Example: ["AUTO_ENHANCE"]
_linksobjectRead-onlyRequired
post/events/{eventId}/replays/{replayId}/retries
POST /apis/v2/events/{eventId}/replays/{replayId}/retries HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventReplay

{
  "id": "text",
  "type": "QUICK_REPLAY",
  "actionType": "PREVIEW",
  "chargeStrategy": "CHARGE_CUSTOMER_FULL",
  "status": "ORDERED",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "lengthMilliseconds": 1,
  "video": {
    "low": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "high": {
      "href": "text"
    },
    "web": {
      "href": "text"
    },
    "hls": {
      "href": "text"
    }
  },
  "preview": {
    "id": "text",
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "likes": {},
  "enhancedVideoUrl": "text",
  "flags": [
    "AUTO_ENHANCE"
  ],
  "summary": {
    "currency": "text",
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "total": 1,
    "chargeOptions": [
      {
        "id": "CHARGE_CUSTOMER_FULL",
        "label": "text",
        "pricing": {
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "total": 1
        }
      }
    ],
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Responses
200

Returns a LikeCollection

application/json
_totalnumberRequired
get/events/{eventId}/replays/{replayId}/likes
GET /apis/v2/events/{eventId}/replays/{replayId}/likes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a LikeCollection

{
  "items": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "user": {},
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Responses
200

Returns a Like

application/json
idstringRequired
createdAtstring · date-timeRequired
userobjectRequired
_linksobjectRequired
post/events/{eventId}/replays/{replayId}/likes
POST /apis/v2/events/{eventId}/replays/{replayId}/likes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Like

{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "user": {},
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
likeIdstringRequired
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
expandstring[]Optional
Responses
200

Returns a Like

application/json
idstringRequired
createdAtstring · date-timeRequired
userobjectRequired
_linksobjectRequired
get/events/{eventId}/replays/{replayId}/likes/{likeId}
GET /apis/v2/events/{eventId}/replays/{replayId}/likes/{likeId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Like

{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "user": {},
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
likeIdstringRequired
replayIdstringRequiredExample: mj8LMDK7DUMRUxldfQPW6yHCUW2ToJV3VUHQwaL1i2M
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Responses
200

Returns the deleted Like

application/json
idstringRequired
createdAtstring · date-timeRequired
userobjectRequired
_linksobjectRequired
delete/events/{eventId}/replays/{replayId}/likes/{likeId}
DELETE /apis/v2/events/{eventId}/replays/{replayId}/likes/{likeId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns the deleted Like

{
  "id": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "user": {},
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]OptionalExample: ["items._links.bookedBy","items._links.pod","items._links.table"]
Responses
200

Returns a ReservationCollection

application/json
_totalnumberRequired
get/events/{eventId}/reservations
GET /apis/v2/events/{eventId}/reservations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a ReservationCollection

{
  "items": [
    {
      "id": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "tableAssignment": "PENDING",
      "sessions": {
        "items": [
          {
            "id": "text",
            "session": {
              "id": "text"
            },
            "coupon": {
              "id": "text"
            },
            "charge": {
              "id": "text"
            },
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "pod": {
        "id": "text"
      },
      "table": {
        "id": "text"
      },
      "coach": {
        "id": "text"
      },
      "guests": 1,
      "charges": {
        "_total": 1
      },
      "quickReplays": {
        "_total": 1
      },
      "customReplays": {
        "_total": 1
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
reservationIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]OptionalExample: ["_links.sessions.items._links.session","_links.bookedBy","_links.pod","_links.table","_links.coach"]
Responses
200

Returns a Reservation

application/json
idstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
tableAssignmentstring · enumRequiredPossible values:
guestsnumber · nullableRequired
_linksobjectRequired
get/events/{eventId}/reservations/{reservationId}
GET /apis/v2/events/{eventId}/reservations/{reservationId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Reservation

{
  "id": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "tableAssignment": "PENDING",
  "sessions": {
    "items": [
      {
        "id": "text",
        "session": {
          "id": "text"
        },
        "coupon": {
          "id": "text"
        },
        "charge": {
          "id": "text"
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pod": {
    "id": "text"
  },
  "table": {
    "id": "text"
  },
  "coach": {
    "id": "text"
  },
  "guests": 1,
  "charges": {
    "_total": 1
  },
  "quickReplays": {
    "_total": 1
  },
  "customReplays": {
    "_total": 1
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
reservationIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]Optional
Responses
200

Returns a ReservationSessionCollection

application/json
_totalnumberRequired
get/events/{eventId}/reservations/{reservationId}/sessions
GET /apis/v2/events/{eventId}/reservations/{reservationId}/sessions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a ReservationSessionCollection

{
  "items": [
    {
      "id": "text",
      "session": {
        "id": "text"
      },
      "coupon": {
        "id": "text"
      },
      "charge": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startTimestring · date-timeOptional

If not set, startTime will be defaulted as now

Example: 2021-11-01T00:00:00Z
endTimestring · date-timeOptional

If not set, the response will include up to 30 days since startTime

Example: 2021-11-03T00:00:00Z
selfOnlybooleanOptional

Return only the events relevant to the logged in user. Only useful to privileged users.

Example: false
userIdstringOptional

Return only the events related to a specific user, based con current permissions.

excludeUnlistedbooleanOptional

Exclude unlisted events, typically the ones the user owns or is invited to.

Example: false
excludeListedbooleanOptional

Exclude listed events, those that the user hasn't signed up for.

Example: false
includeSuspendedbooleanOptional

Include suspended events, those that were canceled by an admin due to an exceptional situation made their physical court to not be available.

Example: false
includeCanceledInvitationsbooleanOptional

Include canceled invitations, by default this is set to true.

Example: true
includePendingbooleanOptional

Include events that were not yet accepted by the user.

Example: false
includeCanceledbooleanOptional

Include canceled events.

Example: true
excludeClosedSeriesbooleanOptional

Retrieve series beyond their signup limit date

Example: true
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
expandstring[]OptionalExample: ["items._links.reservations","items._links.bookedBy","items._links.invitations","items._links.waitlist","items._links.teams"]
sortstringOptional

If not set, sort will be defaulted as startTime (ASC)

Example: -startTime
tagstring[]Optional

Return only the events matching a set of tags.

customTypestring[]Optional

Return only the events matching a customType or a set of customTypes.

tableIdstring[]OptionalExample: ["40-allen-1","42-allen-1"]
podIdstring[]OptionalExample: ["40-allen","42-allen"]
areaIdstring[]OptionalExample: ["les","w37"]
regionIdstring[]OptionalExample: ["new-york"]
Responses
200

Returns a EventPaginatedCollection

application/json
_totalnumberRequiredDeprecated
get/events
GET /apis/v2/events HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventPaginatedCollection

{
  "items": [
    {
      "id": "text",
      "type": "REGULAR",
      "subtype": "OPERATIONS",
      "customType": "text",
      "name": "text",
      "description": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "pods": {
        "items": [
          {
            "id": "text",
            "slug": "text",
            "displayName": "text",
            "displayNameShort": "text",
            "description": "text",
            "address": {
              "street": "text",
              "floor": "text",
              "city": "text",
              "zip": "text",
              "displayName": "text"
            },
            "timezone": "text",
            "type": "PRIVATE",
            "status": "NOT_AVAILABLE",
            "sport": "PICKLEBALL",
            "area": {},
            "tables": {
              "items": [
                {
                  "id": "text",
                  "slug": "text",
                  "displayName": "text",
                  "displayNameShort": "text",
                  "description": "text",
                  "type": "STANDARD",
                  "status": "AVAILABLE",
                  "features": [
                    "REPLAYS"
                  ],
                  "pod": {},
                  "settings": {
                    "items": [
                      {
                        "id": "text",
                        "value": {}
                      }
                    ],
                    "_total": 1,
                    "_links": {
                      "self": {
                        "href": "text"
                      }
                    }
                  },
                  "errors": [
                    {
                      "code": "text",
                      "message": "text",
                      "details": {}
                    }
                  ],
                  "_links": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "openTime": {
              "hours": 1,
              "minutes": 1
            },
            "closeTime": {
              "hours": 1,
              "minutes": 1
            },
            "closedTimeOverrides": {
              "items": [
                {
                  "id": "text",
                  "days": [
                    1
                  ],
                  "from": {
                    "hours": 1,
                    "minutes": 1
                  },
                  "to": {
                    "hours": 1,
                    "minutes": 1
                  }
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "guests": {
              "private": {
                "min": "text",
                "max": "text"
              }
            },
            "rates": {},
            "settings": {
              "items": [
                {
                  "id": "text",
                  "value": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "tables": {
        "items": [
          {
            "id": "text",
            "type": "FIXED_TABLE",
            "table": {
              "id": "text"
            },
            "startTime": "2026-01-01T00:00:00.000Z",
            "endTime": "2026-01-01T00:00:00.000Z",
            "features": [
              "REPLAYS"
            ],
            "status": "INVALID",
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {
              "self": {
                "href": "text"
              }
            }
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "access": {
        "id": "text",
        "type": "OPEN",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z"
      },
      "guests": {
        "displayName": "text",
        "displayNameShort": "text",
        "max": 1
      },
      "reservations": {
        "items": [
          {
            "id": "text",
            "startTime": "2026-01-01T00:00:00.000Z",
            "endTime": "2026-01-01T00:00:00.000Z",
            "tableAssignment": "PENDING",
            "sessions": {
              "items": [
                {
                  "id": "text",
                  "session": {
                    "id": "text"
                  },
                  "coupon": {
                    "id": "text"
                  },
                  "charge": {
                    "id": "text"
                  },
                  "_links": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "pod": {
              "id": "text"
            },
            "table": {
              "id": "text"
            },
            "coach": {
              "id": "text"
            },
            "guests": 1,
            "charges": {
              "_total": 1
            },
            "quickReplays": {
              "_total": 1
            },
            "customReplays": {
              "_total": 1
            },
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "bookingMode": "USER_BOOKED",
      "paymentMethod": "CASH",
      "bookedBy": {
        "id": "text"
      },
      "totalTeams": 1,
      "teamSize": 1,
      "admission": "OPEN",
      "admissionRating": {
        "minRating": 1,
        "maxRating": 1,
        "type": "SINGLES"
      },
      "admissionRate": {
        "regular": 1,
        "member": 1,
        "membersDefault": 1,
        "dayPass": {
          "id": "text",
          "displayName": "text",
          "rate": 1
        },
        "memberships": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "chargingStrategy": "spot+",
        "_links": {}
      },
      "admissionDate": {
        "regular": "2026-01-01T00:00:00.000Z",
        "member": "2026-01-01T00:00:00.000Z",
        "membersDefault": "2026-01-01T00:00:00.000Z",
        "memberships": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "date": "2026-01-01T00:00:00.000Z"
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      },
      "admissionKids": "OPEN",
      "allowedMemberships": {},
      "coachRate": 1,
      "freeSignupCancellationHorizonHours": 1,
      "tags": [
        "text"
      ],
      "picture": {
        "id": "text"
      },
      "visibility": "LISTED",
      "invitations": {},
      "payments": {},
      "replays": {},
      "cancellation": {},
      "notes": {},
      "openInvitations": {},
      "signups": {},
      "waitlist": {},
      "features": [
        "WAITLIST"
      ],
      "stats": {},
      "series": {
        "id": "text"
      },
      "suspension": {
        "id": "text"
      },
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "tournamentDivision": {
        "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
        "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
        "provider": "SWISH",
        "swish": {
          "eventFormat": "rotating_partners_round_robin",
          "gameId": "game123",
          "editPlayersPath": "rotating-partners-round-robin"
        },
        "podplay": {
          "eventFormat": "round_robin",
          "gameId": "game123",
          "url": "https://tournaments.podplay.app/admin/tournaments/game123"
        },
        "status": "DRAFT",
        "createdAt": "2025-07-09T17:32:26.800Z",
        "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
        "lastSyncedAt": "2025-07-09T17:32:26.800Z",
        "visibility": "VISIBLE",
        "_links": {}
      },
      "visibilitySchedules": {
        "items": [
          {
            "id": "text",
            "event": {
              "id": "text"
            },
            "listDaysBefore": 1,
            "membersOnly": true,
            "executed": true,
            "status": "INVALID",
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "recurrence": {
        "id": "text"
      },
      "teams": {
        "items": [
          {
            "id": "text",
            "_links": {
              "self": {
                "href": "text"
              }
            },
            "teamLeader": {
              "id": "text",
              "user": {
                "id": "text"
              },
              "type": "REGULAR",
              "firstName": "text",
              "lastName": "text",
              "gender": "text",
              "birthday": "2026-01-01T00:00:00.000Z",
              "initials": "text",
              "description": "text",
              "picture": {},
              "usattRating": 1,
              "duprProfileUrl": "text",
              "memberSince": "2026-01-01T00:00:00.000Z",
              "membershipEnrollment": {},
              "kids": {},
              "_links": {}
            },
            "teamMembers": {
              "items": [
                {
                  "id": "text",
                  "user": {
                    "id": "text"
                  },
                  "type": "REGULAR",
                  "firstName": "text",
                  "lastName": "text",
                  "gender": "text",
                  "birthday": "2026-01-01T00:00:00.000Z",
                  "initials": "text",
                  "description": "text",
                  "picture": {},
                  "usattRating": 1,
                  "duprProfileUrl": "text",
                  "memberSince": "2026-01-01T00:00:00.000Z",
                  "membershipEnrollment": {},
                  "kids": {},
                  "_links": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "teamMemberCount": 1
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
expandstring[]OptionalExample: ["items._links.event"]
Responses
200

Returns a EventInvitationCollection

application/json
_totalnumberRequired
get/events/invitations
GET /apis/v2/events/invitations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventInvitationCollection

{
  "items": [
    {
      "id": "text",
      "event": {
        "id": "text"
      },
      "invitation": {
        "id": "text"
      },
      "messages": [
        {
          "code": "text",
          "message": "text"
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
expandstring[]OptionalExample: ["_links.event"]
Body
sharingKeystringWrite-onlyRequired
redeemUrlstringWrite-onlyRequired
Responses
201

Returns an EventInvitation

application/json
idstringRequired
_linksobjectRequired
post/events/invitations
POST /apis/v2/events/invitations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "sharingKey": "text",
  "redeemUrl": "text",
  "owner": {
    "id": "text"
  }
}
{
  "id": "text",
  "event": {
    "id": "text"
  },
  "invitation": {
    "id": "text"
  },
  "messages": [
    {
      "code": "text",
      "message": "text"
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
includeCanceledSignupsbooleanOptional

Include canceled signups.

Example: false
expandstring[]OptionalExample: ["_links.reservations","_links.bookedBy","_links.invitations"]
Responses
200

Returns a Reservation

application/json
idstringRequired
typestring · enumRead-onlyRequiredPossible values:
subtypestring · enumRequiredPossible values:
customTypestringRequired
namestringRequired
descriptionstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
bookingModestring · enumRead-onlyRequiredPossible values:
paymentMethodstring · enumRead-onlyRequiredPossible values:
totalTeamsnumberRequired
teamSizenumberRequired
admissionstring · enumRequiredPossible values:
admissionKidsstring · enumRequiredPossible values:
allowedMembershipsobjectRequired
coachRatenumberRequired
freeSignupCancellationHorizonHoursnumberRequired
tagsstring[]Required
visibilitystring · enumRequiredPossible values:
invitationsobjectRequired
paymentsobjectRequired
completeInvitationsinteger · max: 10RequiredDeprecated
replaysobjectRequired
cancellationobjectRequired
notesobjectRequired
openInvitationsobjectRequired
signupsobjectRequired
waitlistobjectRequired
statsobjectRequired
statusstring · enumRequiredPossible values:
_linksobjectRequired
get/events/{eventId}
GET /apis/v2/events/{eventId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Reservation

{
  "id": "text",
  "type": "REGULAR",
  "subtype": "OPERATIONS",
  "customType": "text",
  "name": "text",
  "description": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "pods": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "address": {
          "street": "text",
          "floor": "text",
          "city": "text",
          "zip": "text",
          "displayName": "text"
        },
        "timezone": "text",
        "type": "PRIVATE",
        "status": "NOT_AVAILABLE",
        "sport": "PICKLEBALL",
        "area": {},
        "tables": {
          "items": [
            {
              "id": "text",
              "slug": "text",
              "displayName": "text",
              "displayNameShort": "text",
              "description": "text",
              "type": "STANDARD",
              "status": "AVAILABLE",
              "features": [
                "REPLAYS"
              ],
              "pod": {},
              "settings": {
                "items": [
                  {
                    "id": "text",
                    "value": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "openTime": {
          "hours": 1,
          "minutes": 1
        },
        "closeTime": {
          "hours": 1,
          "minutes": 1
        },
        "closedTimeOverrides": {
          "items": [
            {
              "id": "text",
              "days": [
                1
              ],
              "from": {
                "hours": 1,
                "minutes": 1
              },
              "to": {
                "hours": 1,
                "minutes": 1
              }
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "guests": {
          "private": {
            "min": "text",
            "max": "text"
          }
        },
        "rates": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tables": {
    "items": [
      {
        "id": "text",
        "type": "FIXED_TABLE",
        "table": {
          "id": "text"
        },
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "features": [
          "REPLAYS"
        ],
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "access": {
    "id": "text",
    "type": "OPEN",
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  },
  "guests": {
    "displayName": "text",
    "displayNameShort": "text",
    "max": 1
  },
  "reservations": {
    "items": [
      {
        "id": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "tableAssignment": "PENDING",
        "sessions": {
          "items": [
            {
              "id": "text",
              "session": {
                "id": "text"
              },
              "coupon": {
                "id": "text"
              },
              "charge": {
                "id": "text"
              },
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "pod": {
          "id": "text"
        },
        "table": {
          "id": "text"
        },
        "coach": {
          "id": "text"
        },
        "guests": 1,
        "charges": {
          "_total": 1
        },
        "quickReplays": {
          "_total": 1
        },
        "customReplays": {
          "_total": 1
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "bookingMode": "USER_BOOKED",
  "paymentMethod": "CASH",
  "bookedBy": {
    "id": "text"
  },
  "totalTeams": 1,
  "teamSize": 1,
  "admission": "OPEN",
  "admissionRating": {
    "minRating": 1,
    "maxRating": 1,
    "type": "SINGLES"
  },
  "admissionRate": {
    "regular": 1,
    "member": 1,
    "membersDefault": 1,
    "dayPass": {
      "id": "text",
      "displayName": "text",
      "rate": 1
    },
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "rate": 1
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "chargingStrategy": "spot+",
    "_links": {}
  },
  "admissionDate": {
    "regular": "2026-01-01T00:00:00.000Z",
    "member": "2026-01-01T00:00:00.000Z",
    "membersDefault": "2026-01-01T00:00:00.000Z",
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "date": "2026-01-01T00:00:00.000Z"
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "_links": {}
  },
  "admissionKids": "OPEN",
  "allowedMemberships": {},
  "coachRate": 1,
  "freeSignupCancellationHorizonHours": 1,
  "tags": [
    "text"
  ],
  "picture": {
    "id": "text"
  },
  "visibility": "LISTED",
  "invitations": {},
  "payments": {},
  "replays": {},
  "cancellation": {},
  "notes": {},
  "openInvitations": {},
  "signups": {},
  "waitlist": {},
  "features": [
    "WAITLIST"
  ],
  "stats": {},
  "series": {
    "id": "text"
  },
  "suspension": {
    "id": "text"
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "tournamentDivision": {
    "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "provider": "SWISH",
    "swish": {
      "eventFormat": "rotating_partners_round_robin",
      "gameId": "game123",
      "editPlayersPath": "rotating-partners-round-robin"
    },
    "podplay": {
      "eventFormat": "round_robin",
      "gameId": "game123",
      "url": "https://tournaments.podplay.app/admin/tournaments/game123"
    },
    "status": "DRAFT",
    "createdAt": "2025-07-09T17:32:26.800Z",
    "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "lastSyncedAt": "2025-07-09T17:32:26.800Z",
    "visibility": "VISIBLE",
    "_links": {}
  },
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "recurrence": {
    "id": "text"
  },
  "teams": {
    "items": [
      {
        "id": "text",
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "teamLeader": {
          "id": "text",
          "user": {
            "id": "text"
          },
          "type": "REGULAR",
          "firstName": "text",
          "lastName": "text",
          "gender": "text",
          "birthday": "2026-01-01T00:00:00.000Z",
          "initials": "text",
          "description": "text",
          "picture": {},
          "usattRating": 1,
          "duprProfileUrl": "text",
          "memberSince": "2026-01-01T00:00:00.000Z",
          "membershipEnrollment": {},
          "kids": {},
          "_links": {}
        },
        "teamMembers": {
          "items": [
            {
              "id": "text",
              "user": {
                "id": "text"
              },
              "type": "REGULAR",
              "firstName": "text",
              "lastName": "text",
              "gender": "text",
              "birthday": "2026-01-01T00:00:00.000Z",
              "initials": "text",
              "description": "text",
              "picture": {},
              "usattRating": 1,
              "duprProfileUrl": "text",
              "memberSince": "2026-01-01T00:00:00.000Z",
              "membershipEnrollment": {},
              "kids": {},
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "teamMemberCount": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]OptionalExample: ["_links.reservations","_links.bookedBy","_links.invitations"]
Body
namestringRequired
descriptionstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
totalTeamsnumberRequired
teamSizenumberRequired
admissionstring · enumRequiredPossible values:
admissionKidsstring · enumRequiredPossible values:
allowedMembershipsobjectRequired
coachRatenumberRequired
freeSignupCancellationHorizonHoursnumberRequired
tagsstring[]Required
visibilitystring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
Responses
200

Returns an Event

application/json
idstringRequired
typestring · enumRead-onlyRequiredPossible values:
subtypestring · enumRequiredPossible values:
customTypestringRequired
namestringRequired
descriptionstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
bookingModestring · enumRead-onlyRequiredPossible values:
paymentMethodstring · enumRead-onlyRequiredPossible values:
totalTeamsnumberRequired
teamSizenumberRequired
admissionstring · enumRequiredPossible values:
admissionKidsstring · enumRequiredPossible values:
allowedMembershipsobjectRequired
coachRatenumberRequired
freeSignupCancellationHorizonHoursnumberRequired
tagsstring[]Required
visibilitystring · enumRequiredPossible values:
invitationsobjectRequired
paymentsobjectRequired
completeInvitationsinteger · max: 10RequiredDeprecated
replaysobjectRequired
cancellationobjectRequired
notesobjectRequired
openInvitationsobjectRequired
signupsobjectRequired
waitlistobjectRequired
statsobjectRequired
statusstring · enumRequiredPossible values:
_linksobjectRequired
patch/events/{eventId}
PATCH /apis/v2/events/{eventId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1294

{
  "name": "text",
  "description": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "guests": {
    "displayName": "text",
    "displayNameShort": "text",
    "max": 1
  },
  "totalTeams": 1,
  "teamSize": 1,
  "admission": "OPEN",
  "admissionRating": {
    "minRating": 1,
    "maxRating": 1,
    "type": "SINGLES"
  },
  "admissionRate": {
    "regular": 1,
    "membersDefault": 1,
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "rate": 1
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "chargingStrategy": "spot+",
    "_links": {}
  },
  "admissionDate": {
    "regular": "2026-01-01T00:00:00.000Z",
    "membersDefault": "2026-01-01T00:00:00.000Z",
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "date": "2026-01-01T00:00:00.000Z"
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "_links": {}
  },
  "admissionKids": "OPEN",
  "allowedMemberships": {},
  "coachRate": 1,
  "freeSignupCancellationHorizonHours": 1,
  "tags": [
    "text"
  ],
  "picture": {
    "id": "text"
  },
  "visibility": "LISTED",
  "features": [
    "WAITLIST"
  ],
  "status": "INVALID",
  "tournamentDivision": {
    "provider": "SWISH",
    "swish": {
      "eventFormat": "rotating_partners_round_robin",
      "gameId": "game123",
      "editPlayersPath": "rotating-partners-round-robin"
    },
    "podplay": {
      "eventFormat": "round_robin",
      "gameId": "game123",
      "url": "https://tournaments.podplay.app/admin/tournaments/game123"
    },
    "lastSyncedAt": "2025-07-09T17:32:26.800Z",
    "visibility": "VISIBLE"
  }
}
{
  "id": "text",
  "type": "REGULAR",
  "subtype": "OPERATIONS",
  "customType": "text",
  "name": "text",
  "description": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "pods": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "address": {
          "street": "text",
          "floor": "text",
          "city": "text",
          "zip": "text",
          "displayName": "text"
        },
        "timezone": "text",
        "type": "PRIVATE",
        "status": "NOT_AVAILABLE",
        "sport": "PICKLEBALL",
        "area": {},
        "tables": {
          "items": [
            {
              "id": "text",
              "slug": "text",
              "displayName": "text",
              "displayNameShort": "text",
              "description": "text",
              "type": "STANDARD",
              "status": "AVAILABLE",
              "features": [
                "REPLAYS"
              ],
              "pod": {},
              "settings": {
                "items": [
                  {
                    "id": "text",
                    "value": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "openTime": {
          "hours": 1,
          "minutes": 1
        },
        "closeTime": {
          "hours": 1,
          "minutes": 1
        },
        "closedTimeOverrides": {
          "items": [
            {
              "id": "text",
              "days": [
                1
              ],
              "from": {
                "hours": 1,
                "minutes": 1
              },
              "to": {
                "hours": 1,
                "minutes": 1
              }
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "guests": {
          "private": {
            "min": "text",
            "max": "text"
          }
        },
        "rates": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "tables": {
    "items": [
      {
        "id": "text",
        "type": "FIXED_TABLE",
        "table": {
          "id": "text"
        },
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "features": [
          "REPLAYS"
        ],
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "access": {
    "id": "text",
    "type": "OPEN",
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  },
  "guests": {
    "displayName": "text",
    "displayNameShort": "text",
    "max": 1
  },
  "reservations": {
    "items": [
      {
        "id": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "tableAssignment": "PENDING",
        "sessions": {
          "items": [
            {
              "id": "text",
              "session": {
                "id": "text"
              },
              "coupon": {
                "id": "text"
              },
              "charge": {
                "id": "text"
              },
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "pod": {
          "id": "text"
        },
        "table": {
          "id": "text"
        },
        "coach": {
          "id": "text"
        },
        "guests": 1,
        "charges": {
          "_total": 1
        },
        "quickReplays": {
          "_total": 1
        },
        "customReplays": {
          "_total": 1
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "bookingMode": "USER_BOOKED",
  "paymentMethod": "CASH",
  "bookedBy": {
    "id": "text"
  },
  "totalTeams": 1,
  "teamSize": 1,
  "admission": "OPEN",
  "admissionRating": {
    "minRating": 1,
    "maxRating": 1,
    "type": "SINGLES"
  },
  "admissionRate": {
    "regular": 1,
    "member": 1,
    "membersDefault": 1,
    "dayPass": {
      "id": "text",
      "displayName": "text",
      "rate": 1
    },
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "rate": 1
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "chargingStrategy": "spot+",
    "_links": {}
  },
  "admissionDate": {
    "regular": "2026-01-01T00:00:00.000Z",
    "member": "2026-01-01T00:00:00.000Z",
    "membersDefault": "2026-01-01T00:00:00.000Z",
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "date": "2026-01-01T00:00:00.000Z"
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "_links": {}
  },
  "admissionKids": "OPEN",
  "allowedMemberships": {},
  "coachRate": 1,
  "freeSignupCancellationHorizonHours": 1,
  "tags": [
    "text"
  ],
  "picture": {
    "id": "text"
  },
  "visibility": "LISTED",
  "invitations": {},
  "payments": {},
  "replays": {},
  "cancellation": {},
  "notes": {},
  "openInvitations": {},
  "signups": {},
  "waitlist": {},
  "features": [
    "WAITLIST"
  ],
  "stats": {},
  "series": {
    "id": "text"
  },
  "suspension": {
    "id": "text"
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "tournamentDivision": {
    "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "provider": "SWISH",
    "swish": {
      "eventFormat": "rotating_partners_round_robin",
      "gameId": "game123",
      "editPlayersPath": "rotating-partners-round-robin"
    },
    "podplay": {
      "eventFormat": "round_robin",
      "gameId": "game123",
      "url": "https://tournaments.podplay.app/admin/tournaments/game123"
    },
    "status": "DRAFT",
    "createdAt": "2025-07-09T17:32:26.800Z",
    "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "lastSyncedAt": "2025-07-09T17:32:26.800Z",
    "visibility": "VISIBLE",
    "_links": {}
  },
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "recurrence": {
    "id": "text"
  },
  "teams": {
    "items": [
      {
        "id": "text",
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "teamLeader": {
          "id": "text",
          "user": {
            "id": "text"
          },
          "type": "REGULAR",
          "firstName": "text",
          "lastName": "text",
          "gender": "text",
          "birthday": "2026-01-01T00:00:00.000Z",
          "initials": "text",
          "description": "text",
          "picture": {},
          "usattRating": 1,
          "duprProfileUrl": "text",
          "memberSince": "2026-01-01T00:00:00.000Z",
          "membershipEnrollment": {},
          "kids": {},
          "_links": {}
        },
        "teamMembers": {
          "items": [
            {
              "id": "text",
              "user": {
                "id": "text"
              },
              "type": "REGULAR",
              "firstName": "text",
              "lastName": "text",
              "gender": "text",
              "birthday": "2026-01-01T00:00:00.000Z",
              "initials": "text",
              "description": "text",
              "picture": {},
              "usattRating": 1,
              "duprProfileUrl": "text",
              "memberSince": "2026-01-01T00:00:00.000Z",
              "membershipEnrollment": {},
              "kids": {},
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "teamMemberCount": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]OptionalExample: ["items._links.table"]
Responses
200

Returns a EventTableCollection

application/json
_totalnumberRequired
get/events/{eventId}/tables
GET /apis/v2/events/{eventId}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventTableCollection

{
  "items": [
    {
      "id": "text",
      "type": "FIXED_TABLE",
      "table": {
        "id": "text"
      },
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "features": [
        "REPLAYS"
      ],
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]OptionalExample: ["_links.pod"]
Body
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
Responses
201

Returns the recently added EventTableDto

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
post/events/{eventId}/tables
POST /apis/v2/events/{eventId}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67

{
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "features": [
    "REPLAYS"
  ]
}
{
  "id": "text",
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "features": [
    "REPLAYS"
  ],
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns a MembershipCollection

application/json
get/events/{eventId}/allowed-memberships
GET /apis/v2/events/{eventId}/allowed-memberships HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a MembershipCollection

{
  "items": [
    {
      "id": "text",
      "displayName": "text",
      "description": "text",
      "type": "GLOBAL_MEMBER",
      "membershipPlan": {
        "id": "text",
        "displayName": "text"
      },
      "status": "ACTIVE",
      "yearlyPrice": 1,
      "monthlyPrice": 1,
      "monthlyDisplayPrice": "text",
      "initiationFeeMonthly": 1,
      "initiationFeeYearly": 1,
      "additionalMemberFee": 1,
      "additionalMembersCap": 1,
      "bookingHorizonDays": 1,
      "benefits": {
        "items": [
          {}
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "_total": 1
      },
      "showSubscriptionDetails": true,
      "allowPublicCancellation": true,
      "isGroupMembership": true,
      "areas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "membershipAreas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "tags": "MOST_POPULAR",
      "settings": {
        "items": [
          {
            "id": "membership.priority",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "subscriptionsCount": 1,
      "hasOrHadMembers": true,
      "slug": "text",
      "taxRegionId": "text",
      "allowedChargeTypes": [
        "YEARLY"
      ],
      "contactEmail": "text",
      "oneTimePriceOptions": {
        "items": [
          {
            "id": "text",
            "price": 1,
            "durationDays": 1,
            "listed": true
          }
        ],
        "_links": {
          "self": {
            "href": "text"
          }
        },
        "_total": 1
      },
      "priceChangeScope": "ALL_CURRENT",
      "presalesEndDateChangeScope": "ADJUST_SUBSCRIPTIONS",
      "adjustMonthlyGrantDates": true,
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab
Responses
200

Returns a EventTeamCollection

application/json
_totalnumberRequired
get/events/{eventId}/teams
GET /apis/v2/events/{eventId}/teams HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventTeamCollection

{
  "items": [
    {
      "id": "text",
      "_links": {
        "self": {
          "href": "text"
        }
      },
      "teamLeader": {
        "id": "text",
        "user": {
          "id": "text"
        },
        "type": "REGULAR",
        "firstName": "text",
        "lastName": "text",
        "gender": "text",
        "birthday": "2026-01-01T00:00:00.000Z",
        "initials": "text",
        "description": "text",
        "picture": {},
        "usattRating": 1,
        "duprProfileUrl": "text",
        "memberSince": "2026-01-01T00:00:00.000Z",
        "membershipEnrollment": {},
        "kids": {},
        "_links": {}
      },
      "teamMembers": {
        "items": [
          {
            "id": "text",
            "user": {
              "id": "text"
            },
            "type": "REGULAR",
            "firstName": "text",
            "lastName": "text",
            "gender": "text",
            "birthday": "2026-01-01T00:00:00.000Z",
            "initials": "text",
            "description": "text",
            "picture": {},
            "usattRating": 1,
            "duprProfileUrl": "text",
            "memberSince": "2026-01-01T00:00:00.000Z",
            "membershipEnrollment": {},
            "kids": {},
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "teamMemberCount": 1
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventTableIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab-hudson-multi-1-fixed-1664967600000
eventIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab
Query parameters
expandstring[]OptionalExample: ["_links.table"]
Responses
200

Returns a EventTable

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
get/events/{eventId}/tables/{eventTableId}
GET /apis/v2/events/{eventId}/tables/{eventTableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventTable

{
  "id": "text",
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "features": [
    "REPLAYS"
  ],
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventTableIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab-hudson-multi-1-fixed-1664967600000
eventIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab
Query parameters
expandstring[]OptionalExample: ["_links.table"]
Responses
200

Returns a EventTable

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
delete/events/{eventId}/tables/{eventTableId}
DELETE /apis/v2/events/{eventId}/tables/{eventTableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventTable

{
  "id": "text",
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "features": [
    "REPLAYS"
  ],
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventTableIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab-hudson-multi-1-fixed-1664967600000
eventIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab
Query parameters
expandstring[]OptionalExample: ["_links.table"]
Body
typestring · enumWrite-onlyRequiredPossible values:
startTimestring · date-timeWrite-onlyRequired
endTimestring · date-timeWrite-onlyRequired
Responses
200

Returns a EventTable

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
patch/events/{eventId}/tables/{eventTableId}
PATCH /apis/v2/events/{eventId}/tables/{eventTableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
200

Returns a EventTable

{
  "id": "text",
  "type": "FIXED_TABLE",
  "table": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "features": [
    "REPLAYS"
  ],
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
startTimestring · date-timeRequired
endTimestring · date-time · nullableRequired
visibilitystring · enumRequiredPossible values:
membersOnlybooleanRequired
statusstring · enumRequiredPossible values:
Responses
201

Returns an EventClone

application/json
startTimestring · date-timeRequired
endTimestring · date-time · nullableRequired
visibilitystring · enumRequiredPossible values:
membersOnlybooleanRequired
statusstring · enumRequiredPossible values:
post/events/clones
POST /apis/v2/events/clones HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381

{
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "courts": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "sourceEvent": {
    "id": "text"
  },
  "visibility": "LISTED",
  "membersOnly": true,
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "listDaysBefore": 1,
        "membersOnly": true,
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID"
}
{
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "courts": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "sourceEvent": {
    "id": "text"
  },
  "clonedEvent": {
    "id": "text"
  },
  "visibility": "LISTED",
  "membersOnly": true,
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ]
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: c66d718e-e68b-4033-b772-8b7471ada7ab
Responses
200

Returns a EventChatChannel

application/json
idstringRequired
displayNamestringRead-onlyRequired
post/events/{eventId}/chat/channels
POST /apis/v2/events/{eventId}/chat/channels HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventChatChannel

{
  "id": "text",
  "displayName": "text"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequiredExample: 65d283a0-3a78-4792-8e0d-6499c5f1bd29
Query parameters
includeCanceledbooleanOptional

Include canceled signups

Example: true
expandstring[]Optional
Responses
200

Returns a EventSignupCollection

application/json
_totalnumberRequired
get/events/{eventId}/signups
GET /apis/v2/events/{eventId}/signups HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a EventSignupCollection

{
  "items": [
    {
      "id": "text",
      "type": "PREVIEW",
      "status": "DRAFT",
      "passesStrategy": "USE_ALL",
      "availableGuests": {
        "items": [
          {
            "id": "text",
            "displayName": "text",
            "guests": 1,
            "rate": 1
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "kids": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "coupon": {
        "id": "text",
        "code": "text",
        "discountType": "AMOUNT_OFF",
        "value": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "summary": {
        "event": {
          "id": "text"
        },
        "invitation": {
          "id": "text"
        },
        "openInvitation": {
          "id": "text"
        },
        "currency": "text",
        "rates": {
          "signup": 1,
          "guests": 1,
          "teamLeader": 1,
          "teamMember": 1
        },
        "subtotal": 1,
        "taxes": [
          {
            "name": "text",
            "amount": 1,
            "percentage": 1
          }
        ],
        "virtualCredits": 1,
        "couponDiscount": 1,
        "passes": {
          "items": [
            {
              "id": {},
              "available": 1,
              "quantity": 1,
              "displayName": "text",
              "displayNamePlural": "text",
              "rate": 1
            }
          ],
          "_total": 1,
          "_links": {}
        },
        "total": 1,
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ]
      },
      "owner": {
        "id": "text"
      },
      "order": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
[...]
